import { generateCode } from "../../";
import * as fs from "fs";
import { parse } from "graphql";
import { join } from "path";

test("basic schema to reason", async () => {
  const schema = fs.readFileSync(
    join(__dirname, "../fixtures/basic.graphql"),
    "utf-8"
  );
  const parsedSchema = parse(schema);
  const code = generateCode({
    schema: parsedSchema,
    generator: "interfaces-reason"
  });
  expect(code).toMatchSnapshot();
});

test("basic enum to reason", async () => {
  const schema = fs.readFileSync(
    join(__dirname, "../fixtures/enum.graphql"),
    "utf-8"
  );
  const parsedSchema = parse(schema);
  const code = generateCode({
    schema: parsedSchema,
    generator: "interfaces-reason"
  });
  expect(code).toMatchSnapshot();
});

test("basic union to reason", async () => {
  const schema = fs.readFileSync(
    join(__dirname, "../fixtures/union.graphql"),
    "utf-8"
  );
  const parsedSchema = parse(schema);
  const code = generateCode({
    schema: parsedSchema,
    generator: "interfaces-reason"
  });
  expect(code).toMatchSnapshot();
});
